# Generated from r10k-5.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name r10k

Name: rubygem-%{gem_name}
Version: 5.0.2
Release: 1%{?dist}
Summary: Puppet environment and module deployment
License: Apache-2.0
URL: https://github.com/puppetlabs/r10k
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1.0
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
R10K provides a general purpose toolset for deploying Puppet environments
and modules.
It implements the Puppetfile format and provides a native implementation of
Puppet
dynamic environments.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/r10k
%{gem_instdir}/.gitattributes
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODEOWNERS
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/integration
%{gem_libdir}
%{gem_instdir}/locales
%{gem_instdir}/r10k.yaml.example
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.mkd
%doc %{gem_instdir}/CONTRIBUTING.mkd
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.mkd
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/r10k.gemspec

%changelog
* Fri Jul 11 2025 mockbuilder - 5.0.2-1
- Initial package
